/*
	Add JS code to update or enhance Pulse Admin
*/

/*
	******** Limit title lengths - start ********
*/

(function(){

	var TitleLength = function(){
		var titleLength = {
			//the character limit
			limit: 55,
			
			start: function(){
				
				//CSS styles
				cssStyles = ["#sr-title-limiter{",
				"font-size:14px;",
				"display:inline-block;",
				"float:left;",
				"color:#999;",
				"padding:2px 8px;",
				"margin:2px 10px;",
				"}",
				"#sr-title-limiter:before{",
				"content:'Character count: ';",
				"color:#999;",
				"}",
				"button.disabled {",
				"background-color:#ddd;",
				"cursor:not-allowed;}"].join("");
				
				//add the styles to the document head
				this.head = document.head || document.getElementsByTagName('head')[0];
				this.style = document.createElement('style');
				this.style.type = 'text/css';
				if (this.style.styleSheet){
				  this.style.styleSheet.cssText = cssStyles;
				} else {
				  this.style.appendChild(document.createTextNode(cssStyles));
				}
				this.head.appendChild(this.style);
				
				//get the elements
				this.el = document.getElementsByClassName("page-title-input")[0];
				if (!this.el){ return; }
				this.el.style.float = "left";
				this.warning = 'Your title must be between 1 and '+this.limit+' characters.';
				this.el.title = this.warning;
				this.submitBtn = document.getElementsByClassName("save")[0];
				this.postForm = document.getElementById('textfile');
				if(this.el) this.makeCounter();
			},
			makeCounter: function(){
				this.counter = document.createElement('span');
				this.counter.appendChild(document.createTextNode(''));
				this.counter.id = 'sr-title-limiter';
				this.el.parentNode.insertBefore(this.counter,this.el.nextSibling);
				this.titleInput = this.el.getElementsByTagName('input')[0];
				this.doIt();
			},
			setCounter: function(){
				this.counter.childNodes[0].nodeValue = this.getLength();
				this.setClasses();
			},
			setClasses: function(){
				if(parseInt(this.getLength(), 10) > this.limit || parseInt(this.getLength(), 10) < 1){
					this.counter.style.color = '#c73341';
					this.submitBtn.className = 'btn save disabled';
				} else {
					this.counter.style.color = '#42bc42';
					this.submitBtn.className = 'btn save';
				}
			},
			getLength: function(){
				return this.el.value.length;
			},
			checkLimit: function(e){
				if(this.getLength() < 1 || this.getLength() > this.limit){
					window.alert(this.warning);
					e.stopImmediatePropagation();
					e.preventDefault();
					return false;
				}
			},
			doIt: function(){
				this.setCounter();
				this.el.addEventListener('keyup', this.setCounter.bind(this));
				this.submitBtn.addEventListener('click', this.checkLimit.bind(this));
			}
		};
		this.init = function(){
			titleLength.start();
		};
	};
	
	// Page load
	document.addEventListener("DOMContentLoaded",function(event){
		var titleLength = new TitleLength();
		titleLength.init();
	});
	
})();

/*
	******** Limit title lengths - end ********
*/





/*
	******** Add admin notes - start ********
*/

(function(){

	var AddNotes = function(){
		var addNotes = {
			
			start: function(){
				//CSS styles
				cssStyles = ["form#textfile,.tagdiv,.img-info:last-of-type{margin-bottom:40px;}",
				".notes{",
				"font-size:13px;",
				"display:inline-block;",
				"float:left;",
				"color:#888;",
				"padding:2%;",
				"background-color:#f3f3f3;",
				"border:1px solid #ddd;",
				"box-shadow:0px 1px 1px 0px rgba(0,0,0,0.2) inset;",
				"margin:2px 10px;",
				"width:23%;",
				"margin:0 1% 1% 0;",
				"}",
				".notes:before{",
				"content:'Note: ';",
				"display:block;",
				"font-weight:bold;",
				"color:#666;",
				"}",
				"@media (max-width: 800px) {",
				".notes{",
				"width:49%;",
				"}",
				"}",
				"@media (max-width: 500px) {",
				".notes{",
				"width:100%;",
				"margin:1% 0;",
				"}",
				"}",
				].join("");
				
				//add the styles to the document head
				this.head = document.head || document.getElementsByTagName('head')[0];
				this.style = document.createElement('style');
				this.style.type = 'text/css';
				if (this.style.styleSheet){
				  this.style.styleSheet.cssText = cssStyles;
				} else {
				  this.style.appendChild(document.createTextNode(cssStyles));
				}
				this.head.appendChild(this.style);
				
				
			},
			makeNote: function(text){
				this.content = document.getElementsByClassName("content")[0];
				this.div = document.createElement('div');
				this.div.appendChild(document.createTextNode(text));
				this.div.className = 'notes';
				this.content.appendChild(this.div);
			}
			
		};
		
		this.init = function(){
			addNotes.start();
			addNotes.makeNote("Use the tag {{slideshow}} to insert a slideshow into the page.");
			addNotes.makeNote("Aliquam erat volutpat. Mauris vel neque sit amet nunc gravida congue sed sit amet purus. Quisque lacus quam, egestas ac tincidunt.");
			addNotes.makeNote("Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam in dui mauris.");
		}
	};
	
	
	
	// Page load
	document.addEventListener("DOMContentLoaded",function(event){
		var addNotes = new AddNotes();
		addNotes.init();
	});
	
})();

/*
	******** Add admin notes - end ********
*/